# Uses of Enum
org.eclipse.microprofile.openapi.annotations.enums.SchemaType

Packages that use SchemaType
Package
Description
org.eclipse.microprofile.openapi.annotations.enums
A set of parameters used by other annotations to represent their enumerable properties.

## Uses of SchemaType in org.eclipse.microprofile.openapi.annotations.enums

Methods in org.eclipse.microprofile.openapi.annotations.enums that return SchemaType
Modifier and Type
Method
Description
`static SchemaType`
SchemaType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SchemaType[]`
SchemaType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.